﻿using System;
using System.Windows;
using System.IO;
using System.Windows.Markup;

namespace XAML_Load
{
    class Program
    {
        [STAThread]
        public static void Main()
        {
            Window? w = null;
            using (FileStream fs = new FileStream("MyWindow.xaml", FileMode.Open, FileAccess.Read))
            {
                w = (Window)XamlReader.Load(fs);
            }

            w.Show();

            Application app = new Application
            {
                MainWindow = w
            };
            app.Run();
        }
    }
}
